:root {
    --text: #333;
    --text-inv: white;
    --background: #fff;
    --background-inv: black;

    --gray: #F5F5F5;
    

    --font-title1: 2em;
    --font-title2: 1.8em;
    --font-title3: 1.5em;
    --font-title4: 1.3em;
    --font-text: 1em;
}

html {
    min-width: 350px;
}

html, body {
    height: 100%;
    margin: 0;
    padding: 0;
    font-family: "PT Sans", sans-serif;
    font-size: 17px;
    font-weight: 400;
    font-style: normal;
    line-height: 1.7;
    color: var(--text);
    background-color: var(--background);
}




h1 {
    font-family: "PT Sans Narrow", sans-serif;
    font-size: var(--font-title1);
}
h2 {
    font-family: "PT Sans Narrow", sans-serif;
    font-size: var(--font-title2);
}
h3 {
    font-family: "PT Sans Narrow", sans-serif;
    font-size: var(--font-title3);
}
h4 {
    font-family: "PT Sans Narrow", sans-serif;
    font-size: var(--font-title4);
}

.content-wrapper {
    width: 100%;
} 
.header, .container, .content, .footer, header, menu {
    max-width: 1200px;
    min-width: 350px;
    margin: auto;
    padding: 10px;
}

.footer div {
}

.header {
    height: 200px;
    display: flex;
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
}
.header img {
    max-width: 200px;
    width: 100%;
    padding: 0 30px 0 10px;
}
.header_name {
    font-size: 20px;
}

/*меню*/

.open:checked ~ .mobmenu {
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    -webkit-transform: translate(0px,0);
    -moz-transform: translate(0px,0);
    transform: translate(0px,0);
    -webkit-transition: 0.35s;
    -moz-transition: 0.35s;
    transition: 0.35s
}
 
.open:not(:checked) ~ .mobmenu {
    -webkit-transition: 0.35s;
    -moz-transition: 0.35s;
    transition: 0.35s
}

menu {
    overflow: hidden;
    padding-bottom: 10px;
    margin-bottom: 3px;
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
    margin: auto;
    padding: 10px;
}
menu ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: start;
    padding: 0;
}
menu li {
    padding: 0 15px;
}
.slidebar {
    width: 25px;
    height: 4px;
    float: left;
    border: 0;
    border-bottom: 10px double var(--background-inv);
    border-top: 3px solid var(--background-inv);
    cursor: pointer;
    padding-top: 4px;
}
.mobmenu {
    background: var(--background-inv);
    position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    padding: 10px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-transform: translate(-100%,0);
    -moz-transform: translate(-100%,0);
    transform: translate(-100%,0);
    z-index: 10;
}
.mobmenu a {
    color: var(--text-inv);
    text-decoration: none;
    font-size: 1.2em;
}

.mobmenu .slidebar {
    position: absolute;
    top: 10px;
    right: 10px;
}
.mobmenu .slidebar:before, .mobmenu .slidebar:after {
    content: "";
    position: absolute;
    width: 24px;
    height: 4px;
    background: var(--background);
}
.mobmenu .slidebar:before {
    transform: rotate(45deg);
}
.mobmenu .slidebar:after {
    transform: rotate(-45deg);
}


.mobmenu ul, menu ul {
    list-style: none;
    line-height: 1.8em;
}
.mobmenu a:hover, .mobmenu a.active, menu a:hover, menu a.active {
    text-shadow: 1px 0 0 var(--main_black); 
}


/* публикации */

.public_list {

}
.public_list_head {
    display: flex;
    align-items: center;
}

/* Для экранов шириной до 500px */
@media (max-width: 500px) {
    .public_list_head {
        align-items: flex-start;
    }
}


.public_list_title {
    font-size: 1.5em;
}
.public_list_desc {

}
.public_list_img {
    width: 200px;
    min-width: 150px;
}
.public_list_img img{
    width: 100%;
    min-width: 150px;
}
.public_list_link{
    
}

.public_text_head {
    display: flex;
    align-items: center;
}
/* Для экранов шириной до 500px */
@media (max-width: 500px) {
    .public_text_head {
        align-items: flex-start;
    }
}

.public_text_img {
    width: 200px;
    min-width: 150px;
}
.public_text_img img{
    width: 100%;
    min-width: 150px;
}



/* Универсальные стили для всех таблиц */
.public_text table {
    border: 1px solid #ddd;
    border-collapse: collapse;
    width: 100%;
}

.public_text table th,
.public_text table td {
    border: 1px solid #ddd;
    padding: 10px 12px;
    text-align: left;
}

/* Стили для заголовков */
.public_text table th {
    background-color: var(--gray);
    font-weight: bold;
}

/* Чередование строк */
.public_text table tr:nth-child(even) {
    background-color: var(--gray);  /* светлосерый */
}

.public_text table tr:nth-child(odd) {
    background-color: #ffffff;  /* белый */
}
